# POST /v1/embeddings

> CreateEmbedding

- `operationId`: `V1EmbeddingsCreateEmbedding`
- Group: [Inference API](https://sference.com/docs/api-reference/inference-api.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/inference-api/V1EmbeddingsCreateEmbedding

## Request body (required)

Content type `application/json`. Schema: `CreateEmbeddingRequest`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `model` | string | yes | — | — |
| `input` | string \| array<string> \| array<integer> \| array<array<integer>> | yes | — | — |
| `encoding_format` | string | no | enum: float | base64, default `"float"` | — |
| `dimensions` | integer \| null | no | — | — |
| `user` | string \| null | no | — | — |

## Responses

### `200` — Request fulfilled, document follows

Schema: `object`

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/inference-api/V1EmbeddingsCreateEmbedding
